{% set PageTitle = "Homepage" %}
{% set BodyClass = "homePage" %}

{% extends "master.html" %}

{% block main %}
  <div id='producttiles'></div>
  <div id='storycards'></div>
  <div id='reviews'></div>
  <div id='articles'></div>
{% endblock %}

{% block styles %}
{% endblock %}
{% block scripts %}
  
  <script>
    window.addEventListener('load', function(){
    var item = {
      heading : 'Home insurance',
      icon : '<img src="dist/images/cms/ArticleHub-Home-160x120.svg" />',
      cta:  {type: "primary", link:'<a href="#">Get a quote</a>'},
      link:{
        href: '#',
        id:'234234324243'
      },
      extralink: '<a href="#">Existing customer?</a>',
    };
    var item2 = {
      heading : 'Long long long long long long long title',
      icon : '<img src="dist/images/cms/icon-decreasing-term.png" />',
      cta:  {type: "secondary", link:'<a href="#">More info</a>'},
      link:{
        href: '#',
        id:'23324243'
      },
      extralink: '<a href="#">Existing customer?</a>',
    };
    var item3 = {
      heading : 'Home Insurence',
      icon : '<img src="dist/images/cms/icon-decreasing-term.png" />',
      cta:  {type: "primary", link: '<a href="#">long long long long long long button text</a>'},
      link:{
        href: '#',
        id:'234324243'
      },
      extralink: '<a href="#">Existing customer?</a>',
    };
    var item4 = {
      heading : 'Home Insurence',
      icon : '<img src="dist/images/cms/icon-decreasing-term.png" />',
      cta:  {type: "secondary", link: '<a href="#">More info</a>'},
      link:{
        href: '#',
        id:'2342344243'
      },
      extralink:'<a href="#">Long long long long long long long long long long long long link text</a>',
    };

    ReactDOM.render(React.createElement(Components.ProductTiles, {
      id : 'module-ProductTiles',
      theme : {
        themeName:'warm-grey',
      },
      isOverlappingPreviousElement:true,
      items : [item, item, item, item, item, item2, item3, item4, item, item, item, item, item, item, item, item]
    }), document.getElementById("producttiles"));

    ReactDOM.render(React.createElement(Components.StoryCards, {
      id: 'storycards',
      label: 'Our Philosophy',
      heading: 'Great customer service is just the beginning',
      cta: {
        type: 'secondary',
        label: 'More stories',
        href:'#'
      },
      theme: {
        themeName: 'dusty-mint',
        topCurve:{
          type:'convex'
        },
        bottomCurve:{
          type: 'concave'
        },
        themeBefore:'warm-grey',
        themeAfter:'white'
      },
      cards: [
        {
          type: 'quote',
          theme: {
            themeName: 'white',
            // textColour: 'green'
          },
          copy:'The Green Heart Foundation  lorem ipsum dolor set amet sed do eius mod. Duis aute irure dolor in repre henderit indolore fugiat nulla pariatur set.',
          authorLink: {
            href: "/faq",
            html: "<a id=\"6C71B935B59745DB98FD32AE7E3EF26A-AE48812DEADC450DB3A374EA593DDC5C/faq\" href=\"/faq\">FAQ</a>",
            id: "6C71B935B59745DB98FD32AE7E3EF26A-AE48812DEADC450DB3A374EA593DDC5C/faq",
            label: "FAQ",
            rel: ""
          },
          author:'Barbara Name',
          role:'LV= member',
        },
        {
          type: 'video',
          theme: {
            textColour: 'white',
            themeName: 'warm-grey'
          },
          backgroundImage: '<img src="dist/images/placeholder/background-city.jpg">',
          backgroundImageSrc: 'dist/images/placeholder/background-city.jpg',
          label: 'LV=stories',
          heading: '2 Find out about Sheila’s story and what LV did',
          video: {html:"<p>Watch Sheila's Story</p>", href:'#'}
        },
        {
          type: 'story',
          theme: {
            themeName: 'strawberry'
          },
          label: 'LV=stories',
          heading: '3 Find out about Sheila’s story and what LV did',
          content: 'aiddhgaisdbcak ui awgfuwegf uksf gs',
          cta: {type:'secondary',label:'Read more'}
        },
        {
          type: 'icon',
          theme: {
            themeName: 'clover'
          },
          label: 'Awards',
          heading: '4 Proud to be the consumer champion’s best insurance brand',
          icon: '<a href="http://www.which.com"><img src="dist/images/which.png"></a>',
        },
        {
          type: 'image',
          theme: {
            themeName: 'white',
            textColour: 'green'
          },
          label: 'Awards',
          heading: "We're delighted when you take the time to <b>share your moments</b>",
          image: 'http://placehold.it/370x270',
          cta: {type:'secondary',label:'Read more'}
        },
      ]
    }), document.getElementById('storycards'));

    ReactDOM.render(React.createElement(Components.HeaderCta, {
      id: 'module-reviews',
      heading: "We don't want to brag, but <b>99%</b> of our customers would buy from us again",
      label: 'Good value, great values',
      cta: {type:'primary', link:'<a href="#">Read more customer reviews</a>'},
      theme:{
        textColour:'green',
        subHeadingTextColour:'green'
      },
      icon: "<img src='dist/images/cms/Heart-group-80x80.svg'/>",
      copy: "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>"

    }), document.getElementById("reviews"));

    ReactDOM.render(React.createElement(Components.PopularArticles,{
      id:'fdfdfdfdfdfdfd',
      heading:"Lorem ipsum dolor set amet",
      linkSrc:'dist/json/article-hub-articles.json',
      ajax:true,
      theme: {
        themeName: 'cool-grey'
      },
      cta:{
        type:'secondary',
        link:{
          html:'<a href="#">view all articles</a>'
        }
      },
      items: [
        {
          title: "Flight cancelled? How to claim, and what you're covered for lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ...",
          category: 'Category',
          link : {
            href: "#/article-1/",
            rel:"nofollow"
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />'
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Why the 'golden generation' of over-50s are taking gap years",
          category: 'Category',
          link: {
            href: "#/article-2/",
            rel:"nofollow"
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-2.jpg" alt="" />'
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Flight cancelled? How to claim, and what you're covered for",
          category: 'Category',
          link : {
            href: "#/article-1/",
            rel:"nofollow"
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />'
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        
      ],
    }), document.getElementById("articles"));
  })
  </script>
{% endblock %}

{% block header %}
  <script>
    window.addEventListener('load', function(){
    ReactDOM.render(React.createElement(PriorityComponents.HeaderBanner, {
      desktopImage:{
        html:'<img src="dist/images/bg-road-lg.jpg" alt="" />',
        src:'dist/images/bg-road-lg.jpg',
        altText:'alt test goes here'
      },
      mobImage:{
        html:'<img src="dist/images/bg-road-sm.jpg" alt="" />',
        src:'dist/images/bg-road-sm.jpg',
        altText:'alt test goes here'
      },
      isLeftAligned:true,
      headline: 'Tile of product or promotion goes here',
      subtext: '* Optional substatiation text goes here',
      isHomepageHeader: true,
      link:'<a href="#">Existing Customer</a>',
      theme: {
        themeAfter:'warm-grey',
        themeAfterMobile: 'white',
      },
      ctas: [
        {
          link:'<a href="#">Start your quote</a>',
          type:'primary'
        },
        {
          link:'<a href="#">Retrieve your quote</a>',
          type:'secondary'
        }
      ]
    }), document.getElementById("HeaderBanner"));
  })
  </script>
{% endblock %}

{% block NavBreadcrumb %}{% endblock %}
